CreateAutoScalingGroupRemovalInstanceRule
CreateAutoScalingGroupRemovalInstanceRule
POST
/zstack/v1/autoscaling/rules/removal-instanceOperation ID
CreateAutoScalingGroupRemovalInstanceRuleSince
3.1.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
adjustmentTypeStringRequiredThe scale-in method. Options: Remove a specified number of VM instances. Remove VM instances by percentage. Remove VM instances to a specified number.
adjustmentValueIntegerRequiredThe scale-in size.
removalPolicyStringRequiredThe policy for removing a VM instance.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
autoScalingGroupUuidStringRequiredThe UUID of the auto scaling group.
typeStringOptional. The type of the auto scaling rule.
cooldownLongOptional. The cooldown time after the auto scaling rule is triggered.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
